Last modified: 2014-01-03 15:50:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46183 - Populate archive.ar_len on all Wikimedia wikis
Populate archive.ar_len on all Wikimedia wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Sam Reed (reedy)
: shell
Depends on: 12188 18881 24538
Blocks: 16660 29782 18998
  Show dependency treegraph
 
Reported: 2013-03-16 01:30 UTC by MZMcBride
Modified: 2014-01-03 15:50 UTC (History)
22 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2013-03-16 01:30:27 UTC
Clone this bug from bug 12188.

archive.ar_len should be populated on all Wikimedia wikis. If for no other reason than it causes inconsistencies (null entries) in revision.rev_len when revisions are restored (really a separate bug, but let's just populate everything anyway and be done with it).

This bug may require a separate bug to actually add this functionality to MediaWiki core's maintenance scripts. I don't think there's a script that does this currently (populateRevisionLength.php could have an --archive flag, maybe). But this bug is for populating archive.ar_len on all Wikimedia wikis.
Comment 1 MZMcBride 2013-03-16 01:42:37 UTC
(In reply to comment #0)
> This bug may require a separate bug to actually add this functionality to
> MediaWiki core's maintenance scripts. I don't think there's a script that
> does this currently (populateRevisionLength.php could have an --archive flag,
> maybe). But this bug is for populating archive.ar_len on all Wikimedia wikis.

This is bug 24538.
Comment 2 MZMcBride 2013-10-29 18:06:11 UTC
Rob L.: I don't believe this bug requires a database schema change or the involvement of a DBA. I believe this is simply a matter of running the relevant maintenance script.

Can you please double-check the assigned to field and the relevance of the "schema-change" keyword?
Comment 3 Sam Reed (reedy) 2013-11-13 15:37:50 UTC
mediawiki.org:
rev_len and ar_len population complete [0 revision rows, 36724 archive rows].

real    3m54.716s
user    1m18.765s
sys     0m11.545s


Just needs running everywhere under foreachwiki
Comment 4 Sam Reed (reedy) 2013-11-13 17:20:06 UTC
Running in screen on terbium. Currently upto cawiki
Comment 5 Sam Reed (reedy) 2013-11-18 00:48:55 UTC
Is now on etwiki. I guess enwiki took a long time ;)
Comment 6 Sam Reed (reedy) 2013-11-19 02:39:20 UTC
plwiki
Comment 7 Sam Reed (reedy) 2013-11-19 18:07:42 UTC
Done.

Might be some stale values around (API requests cached in squid/varnish etc) but the populate is complete

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links